k0rdent AI Docs

Add member to group

Visibility: public · internal ( OpenAPI Custom Extension: x-visibility )

Add a user to the group. If the user is already a member, returns 409 Conflict.

POST
/v1/regions/global/iam/groups/{groupId}/members

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication using OAuth2/OIDC tokens

In: header

Path Parameters

groupId*string

Group resource identifier.

Request Body

application/json

userId*string

User identifier to add as a group member.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.k0rdent.ai/v1/regions/global/iam/groups/string/members" \  -H "Content-Type: application/json" \  -d '{    "userId": "user-v5w6x7"  }'
{
  "selfLink": "/v1/regions/global/iam/groups/group-d5e6f7/members/member-a1b2c3",
  "uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
  "id": "member-a1b2c3",
  "groupId": "group-d5e6f7",
  "userId": "user-v5w6x7",
  "displayName": "string",
  "email": "user@example.com",
  "addedBy": "string",
  "addedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}
{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

{
  "code": "CONFLICT",
  "message": "A resource with id 'my-deploy-key' already exists."
}

{
  "error": {
    "code": 0,
    "message": "string",
    "details": [
      {}
    ]
  }
}

How is this guide?

On this page

No Headings